project_name: mrg
gitlab_urls:
  use_package_registry: true
  use_job_token: true
before:
  hooks:
    - go mod tidy
builds:
  - env:
      - CGO_ENABLED=0
    goos:
      - linux
      - windows
      - darwin
      - freebsd
    goarch:
      - "386"
      - amd64
      - arm64
nfpms:
  -
    maintainer: MergeTB Team <ops@mergetb.com>
    vendor: MergeTB
    homepage: https://mergetb.org/
    description: |-
      mrg cli installer package
    license: Apache 2.0
    formats:
      - apk
      - deb
      - rpm
      - termux.deb
      # - archlinux
    bindir: /usr/local/bin
# snapcrafts:
#   -
#     id: mrg
#     name: mrg
#     summary: MergeTB cli binary
#     description: MergeTB cli binary
# chocolateys:
#   -
#     name: mrg
checksum:
  name_template: 'checksums.txt'
snapshot:
  name_template: "{{ incpatch .Version }}-next"
changelog:
  sort: asc
  filters:
    exclude:
      - '^docs:'
      - '^test:'

# modelines, feel free to remove those if you don't want/use them:
# yaml-language-server: $schema=https://goreleaser.com/static/schema.json
# vim: set ts=2 sw=2 tw=0 fo=cnqoj
